/**
 * Copyright (c) 2019-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../../mol-util/param-definition';
import { UnitsVisual } from '../units-visual';
import { VisualContext } from '../../visual';
import { Unit, Structure } from '../../../mol-model/structure';
import { Theme } from '../../../mol-theme/theme';
import { Mesh } from '../../../mol-geo/geometry/mesh/mesh';
export declare const OrientationAxesMeshParams: {
    sizeFactor: PD.Numeric;
    axesScale: PD.Numeric;
    radialSegments: PD.Numeric;
    detail: PD.Numeric;
    unitKinds: PD.MultiSelect<"atomic" | "spheres" | "gaussians">;
    includeParent: PD.BooleanParam;
    doubleSided: PD.BooleanParam;
    flipSided: PD.BooleanParam;
    flatShaded: PD.BooleanParam;
    ignoreLight: PD.BooleanParam;
    xrayShaded: PD.BooleanParam;
    alpha: PD.Numeric;
    quality: PD.Select<"custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest">;
};
export declare type OrientationAxesMeshParams = typeof OrientationAxesMeshParams;
export declare function OrientationAxesMeshVisual(materialId: number): UnitsVisual<OrientationAxesMeshParams>;
export interface OrientationAxesMeshProps {
    detail: number;
    radialSegments: number;
    sizeFactor: number;
    axesScale: number;
}
export declare function createOrientationAxesMesh(ctx: VisualContext, unit: Unit, structure: Structure, theme: Theme, props: OrientationAxesMeshProps, mesh?: Mesh): Mesh;
