/**
 * Copyright (c) 2019-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Unit, StructureElement } from '../../../../mol-model/structure';
import { PickingId } from '../../../../mol-geo/geometry/picking';
import { Interval } from '../../../../mol-data/int';
import { Loci } from '../../../../mol-model/loci';
import { LocationIterator } from '../../../../mol-geo/util/location-iterator';
import { StructureGroup } from './common';
export declare function isUnitApplicable(unit: Unit): boolean;
export declare function UnitIterator(structureGroup: StructureGroup): LocationIterator;
export declare function getUnitLoci(pickingId: PickingId, structureGroup: StructureGroup, id: number): StructureElement.Loci | {
    kind: "empty-loci";
};
export declare function eachUnit(loci: Loci, structureGroup: StructureGroup, apply: (interval: Interval) => boolean): boolean;
